### Function

# Ggit StashCallback

#### Declaration

    gint
    (* GgitStashCallback) (
      gsize index,
      const gchar* message,
      GgitOId* stash_oid,
      gpointer user_data
    )

#### Description [src]

When iterating over all the stashed states, callback that will be issued per entry. See ggit_repository_stash_foreach().

#### Parameters

`index`

  Type: `gsize`

  The position within the stash list. 0 points to the most recent stashed state.

`message`

  Type: `const gchar*`

  The stash message.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`stash_oid`

  Type: `GgitOId`

  The commit oid of the stashed state.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  User-suplied data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gint`

0 to go continue or a `GgitError` in case there was an error.